Package org.opensaml.xmlsec.encryption.support

# Class ChainingEncryptedKeyResolver.ChainingIterable

java.lang.Object
org.opensaml.xmlsec.encryption.support.ChainingEncryptedKeyResolver.ChainingIterable

All Implemented Interfaces:
  `Iterable<EncryptedKey>`

Enclosing class:
  ChainingEncryptedKeyResolver

public class ChainingEncryptedKeyResolver.ChainingIterable extends Object implements Iterable<EncryptedKey>
Implementation of `Iterable` to be returned by `ChainingEncryptedKeyResolver`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final EncryptedData`
`encryptedData`
The EncryptedData context for resolution.
`private final ChainingEncryptedKeyResolver`
`parent`
The chaining encrypted key resolver which owns this instance.
`private final Set<String>`
`recipients`
The recipients for resolution.

## Constructor Summary

Constructors
Constructor
Description
`ChainingIterable(ChainingEncryptedKeyResolver resolver, EncryptedData encData, Set<String> recipientIDs)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Iterator<EncryptedKey>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### parent

@Nonnull private final ChainingEncryptedKeyResolver parent
The chaining encrypted key resolver which owns this instance.

### encryptedData

@Nonnull private final EncryptedData encryptedData
The EncryptedData context for resolution.

### recipients

@Nullable private final Set<String> recipients
The recipients for resolution.

## Constructor Details

### ChainingIterable

public ChainingIterable(@Nonnull ChainingEncryptedKeyResolver resolver, @Nonnull EncryptedData encData, @Nullable Set<String> recipientIDs)
Constructor.

Parameters:
  `resolver` - the ChainingEncryptedKeyResolver parent
  `encData` - the EncryptedData context for resolution
  `recipientIDs` - the recipients for resolution

## Method Details

### iterator

@Nonnull public Iterator<EncryptedKey> iterator()

Specified by:
  `iterator` in interface `Iterable<EncryptedKey>`